/*
 * $Id: libgnac-gst.h 276 2009-03-24 15:49:10Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __LIBGNAC_GST_H__
#define __LIBGNAC_GST_H__

#include <gio/gio.h>
#include <glib.h>
#include <glib-object.h>
#include <gst/gst.h>
#include <gst/pbutils/pbutils.h>

#include "libgnac-converter.h"
#include "libgnac-output.h"

G_BEGIN_DECLS

void
libgnac_gst_run(LibgnacConverterItem  *item, 
                GError               **error);

void
libgnac_gst_stop(LibgnacConverterItem  *item, 
                 GError               **error);

void
libgnac_gst_pause(LibgnacConverterItem  *item, 
                  GError               **error);

void
libgnac_gst_build_pipeline(LibgnacConverterItem  *item,
                           GError               **error);

void
libgnac_gst_clean_pipeline(LibgnacConverterItem *item);

void
libgnac_gst_newpad_cb(GstElement *decodebin,
                      GstPad     *pad,
                      gboolean    last,
                      gpointer    data);

void
libgnac_gst_eos_cb(GstBus     *bus, 
                   GstMessage *message, 
                   gpointer    data);

void
libgnac_gst_error_cb(GstBus     *bus, 
                     GstMessage *message, 
                     gpointer    data);

void
libgnac_gst_element_cb(GstBus     *bus,
                       GstMessage *message,
                       gpointer    data);

void
libgnac_gst_unknown_type_cb(GstElement *decodebin, 
                            GstPad     *pad, 
                            GstCaps    *caps,
                            gpointer    data);

G_END_DECLS

#endif /* __LIBGNAC_GST_H__ */
