/*
 * $Id: gnac-bars.h 302 2009-03-31 14:37:06Z alexandreroux $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_BARS_H
#define GNAC_BARS_H

#include <gtk/gtk.h>

void
gnac_bars_new(GtkWidget  *window,
              GtkWidget **menubar,
              GtkWidget **toolbar,
              GtkWidget **popup_menu);

void 
gnac_bars_on_row_inserted(void);

void 
gnac_bars_on_row_deleted(void);

void 
gnac_bars_on_add_files(void);

void 
gnac_bars_on_add_files_finished(void);

void 
gnac_bars_on_convert(void);

void 
gnac_bars_on_convert_stop(void);

void
gnac_bars_on_convert_pause(void);

void
gnac_bars_on_convert_resume(void);

void 
gnac_bars_activate_properties(gboolean activate);

void
gnac_bars_activate_pause(gboolean activate);

void
gnac_bars_activate_add(gboolean activate);

void 
gnac_bars_activate_remove(gboolean activate);

void
gnac_bars_activate_clear(gboolean activate);

void
gnac_bars_activate_preferences(gboolean activate);

#endif /* GNAC_BARS_H */
