/*
 * $Id: gnac-gconf.h 372 2009-07-15 06:48:37Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_GCONF_H
#define GNAC_GCONF_H

#include <gtk/gtk.h>

#include "libgnac-output.h"

#define GCONF_PATH "/apps/gnac"

typedef enum {
  GNAC_GCONF_TRAY_ICON,
  GNAC_GCONF_CLEAR_SOURCE,
  GNAC_GCONF_STRIP_SPECIAL,
  GNAC_GCONF_RENAME_PATTERN,
  GNAC_GCONF_RENAME_PATTERN_PATTERN,
  GNAC_GCONF_FOLDER_HIERARCHY,
  GNAC_GCONF_FOLDER_HIERARCHY_PATTERN,
  GNAC_GCONF_FOLDER_TYPE,
  GNAC_GCONF_DESTINATION_DIRECTORY,
  GNAC_GCONF_LAST_USED_PROFILE,
} GnacGConfParam;

void
gnac_gconf_init(void);

void
gnac_gconf_destroy(void);

gboolean
gnac_gconf_get_boolean(GnacGConfParam param);

void
gnac_gconf_set_boolean(GnacGConfParam param, gboolean value);

gint
gnac_gconf_get_int(GnacGConfParam param);

void
gnac_gconf_set_int(GnacGConfParam param, gint value);

gchar *
gnac_gconf_get_string(GnacGConfParam param);

void
gnac_gconf_set_string(GnacGConfParam param, const gchar *value);

/*void
gconf_key_changed_cb(GConfClient* client,
                     guint cnxn_id,
                     GConfEntry* entry,
                     gpointer user_data);*/

#endif /* GNAC_GCONF_H */
