/*
 * $Id: gnac-profiles-lame.h 368 2009-07-14 06:55:05Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_PROFILES_FORMAT_LAME_H
#define GNAC_PROFILES_FORMAT_LAME_H

#include "../gnac-profiles-default.h"

typedef struct
{
  AudioProfileGeneric *generic;
  gchar *encoding_mode;
  gdouble quality;
  gdouble compression_ratio;
  gchar *bitrate;
  gchar *preset;
  gdouble mean_abr;
  gdouble mean_bitrate;
  gchar *min_bitrate;
  gchar *max_bitrate;
  gchar *mode;
}
AudioProfileLame;

FormatModuleFuncs
gnac_profiles_lame_get_funcs(void);

const gchar *
gnac_profiles_lame_init(UpdateTextBufferFunc call_back);

void
gnac_profiles_lame_generate_pipeline(GtkWidget *w);

AudioProfileLame *
gnac_profiles_lame_generate_audio_profile(GError **error);

void
gnac_profiles_lame_free_audio_profile(AudioProfileLame *profile);

void
gnac_profiles_lame_fullfill_fields(AudioProfileLame *profile);

gchar *
gnac_profiles_lame_get_combo_format_name(void);

const gchar *
gnac_profiles_lame_get_plugin_name(void);

const gchar *
gnac_profiles_lame_get_description(void);

GtkWidget *
gnac_profiles_lame_get_widget(AudioProfileLame *profile);

void
gnac_profiles_lame_save_profile(AudioProfileLame *profile);

AudioProfileLame *
gnac_profiles_lame_load_specific_properties(XMLDoc *doc, AudioProfileGeneric *generic);

void
gnac_profiles_lame_clean_up(void);

#endif
