/*
 * $Id: gnac-profiles-vorbis.h 368 2009-07-14 06:55:05Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_PROFILES_FORMAT_VORBIS_H
#define GNAC_PROFILES_FORMAT_VORBIS_H

#include "../gnac-profiles-default.h"

typedef struct
{
  AudioProfileGeneric *generic;
  gdouble quality;
  gchar *bitrate;
  gchar *min_bitrate;
  gchar *max_bitrate;
}
AudioProfileVorbis;

FormatModuleFuncs
gnac_profiles_vorbis_get_funcs(void);

const gchar *
gnac_profiles_vorbis_init(UpdateTextBufferFunc call_back);

void
gnac_profiles_vorbis_generate_pipeline(GtkWidget *w);

AudioProfileVorbis *
gnac_profiles_vorbis_generate_audio_profile(GError **error);

void
gnac_profiles_vorbis_free_audio_profile(AudioProfileVorbis *profile);

void
gnac_profiles_vorbis_fullfill_fields(AudioProfileVorbis *profile);

gchar *
gnac_profiles_vorbis_get_combo_format_name(void);

const gchar *
gnac_profiles_vorbis_get_plugin_name(void);

const gchar *
gnac_profiles_vorbis_get_description(void);

GtkWidget *
gnac_profiles_vorbis_get_widget(AudioProfileVorbis *profile);

void
gnac_profiles_vorbis_save_profile(AudioProfileVorbis *profile);

AudioProfileVorbis *
gnac_profiles_vorbis_load_specific_properties(XMLDoc *doc, AudioProfileGeneric *generic);

void
gnac_profiles_vorbis_clean_up(void);

#endif
