/*
 * $Id: gnac-profiles-properties.h 241 2009-03-12 00:07:42Z alexandreroux $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_PROFILES_PROPERTIES_H
#define GNAC_PROFILES_PROPERTIES_H

#include <gtk/gtk.h>
#include <gst/gst.h>

#define MAX_DESCR_DISPLAY_SIZE 497
#define MAX_NAME_DISPLAY_SIZE 23

void
gnac_profiles_properties_init(void);

void
gnac_profiles_properties_set_parent(GtkWidget *parent);

void
gnac_profiles_properties_show(void *profile, const gchar *title, GCallback call_back);

void *
gnac_profiles_properties_load_profile_from_file(const gchar *path,
  const gchar *filename, GError **error);

void
gnac_profiles_properties_free_audio_profile(void *profile);

void
gnac_profiles_properties_destroy(void);

gboolean
gnac_profiles_properties_saved_profiles_contain_name(const gchar *name,
  gboolean add_ext);

void
gnac_profiles_properties_save_profile(void *profile);

//GtkBuilder handler

void
gnac_profiles_properties_on_cancel(GtkWidget *widget, gpointer data);

gboolean
gnac_profiles_properties_on_name_entry_key_pressed(GtkWidget *widget,
  GdkEventKey *event, gpointer data);

gboolean
gnac_profiles_properties_on_window_key_pressed(GtkWidget *widget,
  GdkEventKey *event, gpointer data);

gchar *
gnac_profiles_properties_filter_text_for_displaying(const gchar *text, int length);

#endif /* GNAC_PROFILES_PROPERTIES_H */
